Summary: A demo for the AA-lib ASCII art graphics library.
Name: bb
Version: 1.2
Release: 4
Copyright: GPL
Group: Amusements/Graphics
Source0: ftp://ftp.ta.jcu.cz/pub/aa/bb/bb-1.2.tar.gz
#Source1: bb.wmconfig
Patch0: bb.patch
BuildRoot: /var/tmp/bb-root

%description
The bb program is a portable demo based on the AA-lib ASCII art graphics
library, created to display the capabilities of AA-lib. If you're familiar
with Amiga and PC demos, you'll understand, and if you aren't, well,
you'll be entertained. You'll need to also have the aalib package
installed to run bb.

%prep
%setup -q 
%patch0 -p1 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix /usr
make

%ifarch i386 sparc
cd mikunix 
make
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/bb
install -s -m 755 bb $RPM_BUILD_ROOT/usr/bin/
#mkdir -p /etc/X11/wmconfig/
#install -m 644 $RPM_SOURCE_DIR/bb.wmconfig \
#	$RPM_BUILD_ROOT/etc/X11/wmconfig/bb

%ifarch i386 sparc
install -s -m 755 bb_snd_server $RPM_BUILD_ROOT/usr/share/bb/
install -m 644 *.s3m $RPM_BUILD_ROOT/usr/share/bb/
%endif

#%post
#wmconfig --output fvwm2 >> /dev/null 2> /dev/null

#%postun
#wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.lsm COPYING INSTALL README.LZO
%dir /usr/share/bb
/usr/bin/bb
#/etc/X11/wmconfig/bb

%ifarch i386 sparc
/usr/share/bb/bb_snd_server
/usr/share/bb/bb.s3m
/usr/share/bb/bb2.s3m
/usr/share/bb/bb3.s3m
%endif



%changelog 
* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Wed Sep 1 1999 Tim Powers <timp@redhat.com>
- removed wmconfig - is a console app

* Wed Aug 18 1999 Dale Lovelace <dale@redhat.com>
- add bb.wmconfig

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 26 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- added buildroot
- mega greetz to the AA//\\BB Team
